Loading...
Searching...
No Matches
Opm::Aquifetp::AQUFETP_data Struct Reference

## Public Member Functions

| AQUFETP_data (const DeckRecord &record, const TableManager &tables)
| AQUFETP_data (const int aquiferID_, const int pvttableID_, const double J_, const double C_t_, const double V0_, const double d0_, const double p0_, const double t0_)
double | timeConstant () const
double | waterDensity () const
double | waterViscosity () const
bool | operator== (const AQUFETP_data &other) const
void | finishInitialisation (const TableManager &tables)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AQUFETP_data | serializationTestObject ()

## Public Attributes

int | aquiferID {}
int | pvttableID {}
double | prod_index {}
double | total_compr {}
double | initial_watvolume {}
double | datum_depth {}
std::optional< double > | initial_pressure {}
std::optional< double > | initial_temperature {}

## Friends

class | Aquifetp

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/Aquifetp.hpp
- opm/input/eclipse/EclipseState/Aquifer/Aquifetp.cpp